%%%%%%%%%% Reinforcement Problem 4.12 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Third-order system ----
%
clear
disp('Reinforcement Problem 4.12')
Ts = 0.1;
A =  [0.85  -0.56 0.22
      0.20   0.11   1
     -0.25   0.50   0]
B = [1 0 0]'
C = [0.58 -0.30 0.16]
D=0

%------ build as SS model --------
G = ss(A,B,C,D,Ts)
disp('G(z) as SS object')
disp('*******>')
pause

%----- eigenvectors & transformed A matrix
[M,Ad] = eig(A) 
disp('eigenvectors & transformed A matrix')
disp('*******>')
pause

%----- transformed input & output matrices
Bd = inv(M)*B
Cd = C*M
disp('transformed input & output matrices')
%%%%%%%%%%
