%%%%%%%%%%% Reinforcement Problem 4.4 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- G1(z) and G2(z) given in TF form ----
%
clear
disp('Reinforcement Problem 4.4')
Ts = 0.2;
%
numG1 = [0.75 -1.35 0.61];
denG1 = [1 -1.62 0.73];
G1tf = tf(numG1,denG1,Ts)
G1ss = ss(G1tf)
abs(pole(G1ss))
disp('G1(z) ')
disp('*******>')
pause

numG2 = [0.38 0.33]
denG2 = [1 -1.14 0.61]
G2tf = tf(numG2,denG2,Ts)
G2ss = ss(G2tf)
abs(pole(G2ss))
disp('G2(z) ')
disp('*******>')
pause

Gser = G2ss*G1ss 
abs(pole(Gser))
disp('series connection ')
disp('*******>')
pause

Gpar = G1ss+G2ss
abs(pole(Gpar))
disp('parallel connection ')
disp('*******>')
pause

Gfbk = feedback(G1ss,G2ss)
[mag_pfbk,theta_pfbk] =  xy2p(pole(Gfbk))
disp('feedback connection')
%%%%%%%%%%
