%%%%%%%%%%% Reinforcement Problem 6.3 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Fourth-order Chebyshev II bandstop filter ----
%
clear
disp('Reinforcement Problem 6.3')

Ts = 0.01
G = tf(0.4207*[1 0 1.7994 0 1],[1 0 0.3773 0 0.2210],Ts)
zz = tzero(G)
pp = pole(G)
[magzz,thetapp] = xy2p(zz)
[magpp,thetapp] = xy2p(pp)
dcgain(G)

figure
ucircle,axis equal,hold on
pzmap(G),hold off

figure,bode(G)
%%%%%%%%%%
