%
%    Sets  sizes & line widths for root-locus X & O markers
%
%------------------------------------------------------
% NB: defaults values are 0.5 for linewidth & 6 for 'o' & 'x'
%------------------------------------------------------

%%%%%%%%%%%%%%%%% set_xo_size.m %%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(findobj('marker','o'),'markersize',10)
set(findobj('marker','o'),'linewidth',1.0)

set(findobj('marker','x'),'markersize',12)
set(findobj('marker','x'),'linewidth',1.0)

disp('setting marker sizes to X=12 & O=10')
disp('setting both marker line widths = 1.5')
%%%%%%%%%%