%%%%%%%%%%% Reinforcement Problem 10.5 %%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Fourth-order modal system ----
%
clear
disp('Reinforcement Problem 10.5')
A = diag([0.9048 0.8187 0.7788 1])
B = [0.0476; 0.0476; 0.0885; 0.5]
p = [0.7 0.75 0.85 0.95]'
F = place(A,B,p)
A_cl = A-B*F
diff = sort(p) - sort(eig(A_cl))
%%%%%%%%%%