%%%%%%%%%%% Reinforcement Problem 4.3 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- G1(z) and G2(z) in state-space form ----
%
clear
disp('Reinforcement Problem 4.3')
Ts = 0.2;
%
A1 = [0.98  0.18 0.014
     -0.22  0.71 0.11
     -1.76 -2.42 0.16]
B1 = [0.0010
      0.014 
      0.11]
C1 = [4 2 0] 
D1 = 0
G1 = ss(A1,B1,C1,D1,Ts)
abs(pole(G1))
disp('G1(z) ')
disp('*******>')
pause
%
A2 = 0.20;
B2 = 0.10;
C2 = 3;
D2 = 0;
G2 = ss(A2,B2,C2,D2,Ts)
abs(pole(G2))
disp('G2(z) ')
disp('*******>')
pause

Gser = G2*G1
abs(pole(Gser))
disp('series connection ')
disp('*******>')
pause

Gpar = G1+G2
abs(pole(Gpar))
disp('parallel connection ')
disp('*******>')
pause

Gfbk = feedback(G1,G2)
abs(pole(Gfbk))
disp('feedback connection ')
%%%%%%%%%%






