%%%%%%%%%%% Reinforcement Problem 7.6 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
Ts = 0.1
Gp = tf(6*[1 1],conv([1 0],[1 4 4]))
Gz = c2d(Gp,Ts,'zoh')
Kz = 2.5
Kp = dcgain(Gz*Kz)
Kv = vgain(Gz*Kz)
Gcl = feedback(Gz*Kz,1)
figure, step(Gcl)
ramp = [0:Ts:5];
figure, [y,t] = lsim(Gcl,ramp); plot(t,y)
%%%%%%%%%%